#ifndef FUNCTIONS_STRTOINT
#define FUNCTIONS_STRTOINT

static LONG StrToInt(STRING str)
{
  LONG number, neg;

  if (str) {

     /*** Ignore any leading characters ***/

     neg = FALSE;
     while ((*str < '0') OR (*str > '9')) {
        if (*str IS 0) return(NULL);
        if (*str IS '-') neg = TRUE;
        if (*str IS '+') neg = FALSE;
        str++;
     }

     /*** Ignore leading zeros ***/

     while (*str IS '0') str++;

     /*** Check if there are any numbers following the leading zeros ***/

     number = 0;
     if ((*str >= '1') AND (*str <= '9')) {
        while (*str) {
           if ((*str >= '0') AND (*str <= '9')) {
              number *= 10;
              if (neg IS TRUE) {
                 number -= (*str - '0');
              }
              else number += (*str - '0');
           }
           else return(number);
           str++;
        }

        return(number);
     }
     else return(0);
  }
  else return(NULL);
}

#endif /* FUNCTIONS_STRTOINT */
